Poshmark related items
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-poshmark-items-related \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"item": "Listing id or URL, e.g. 6865651dd6c0dc3f3fdfc8ea",
"max_items": 2
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-poshmark-items-related"
payload = {
"item": "Listing id or URL, e.g. 6865651dd6c0dc3f3fdfc8ea",
"max_items": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({item: 'Listing id or URL, e.g. 6865651dd6c0dc3f3fdfc8ea', max_items: 2})
};
fetch('https://api.neuralverge.ai/functions/v1/run-poshmark-items-related', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "poshmark_item_related",
"item": "Listing id or URL, e.g. 6865651dd6c0dc3f3fdfc8ea",
"item_id": "6865651dd6c0dc3f3fdfc8ea",
"domain": "poshmark.com",
"max_items": 2,
"partial": false,
"human": "# Poshmark related items\n\n- **Item:** Listing id or URL, e.g. 6865651dd6c0dc3f3fdfc8ea\n- **Domain:** poshmark.com\n- **Max items:** 2\n- **Records returned:** 2\n- **Proxy traffic:** 1.55 MB",
"machine": {
"total_items": 2,
"first_item": {
"@type": "PoshmarkListing",
"id": "6a7b58a9046d1f2c0192c6b4",
"url": "https://poshmark.com/listing/6a7b58a9046d1f2c0192c6b4",
"title": "Lululemon Blue Active Leggings",
"description": "Comfortable blue leggings designed for active wear. Smooth, stretchy fabric offers flexible movement and a snug fit. High waistband provides gentle support during play and sports. Easy-care material f",
"brand": null,
"brand_id": null,
"price": {
"@type": "PoshmarkPrice",
"amount": 25,
"currency": "USD",
"currency_symbol": "$"
},
"original_price": null,
"condition": null,
"size": "10",
"size_system": "us",
"colors": [
{
"name": "Blue",
"rgb": "#137fc1"
}
],
"department": {
"id": "000e8975d97b4e80ef00a955",
"display": "Women",
"slug": "Women"
},
"category": {
"id": "001c8975d97b4e80ef00a955",
"display": "Pants & Jumpsuits",
"slug": "Pants_&_Jumpsuits"
},
"subcategories": [
{
"id": "00b09287d97b4e80ef00a955",
"display": "Leggings",
"slug": "Leggings"
}
],
"image": "https://di2ponv0v5otw.cloudfront.net/posts/2026/08/11/6a7b58a9046d1f2c0192c6b4/m_6a7b58bdf00c55d6b078b64b.jpg",
"images": [
"https://di2ponv0v5otw.cloudfront.net/posts/2026/08/11/6a7b58a9046d1f2c0192c6b4/m_6a7b58dbb9dd7050ceed90f9.jpg",
"https://di2ponv0v5otw.cloudfront.net/posts/2026/08/11/6a7b58a9046d1f2c0192c6b4/m_6a7b58dc4adcb3cca538a285.jpg"
],
"status": "published",
"availability": "available",
"origin_domain": "us",
"share_count": 24,
"like_count": 0,
"comment_count": 0,
"has_offer": false,
"created_at": 1786468521,
"first_published_at": 1786468632,
"updated_at": 1786883306,
"seller": {
"@type": "PoshmarkUserPreview",
"id": "5f9ab877bf2d18224bc649e2",
"alias": "hls24f1999",
"display_handle": "hls24f1999",
"full_name": "Hannah Slomkowski",
"image": "https://di2ponv0v5otw.cloudfront.net/users/2021/11/29/13/t_61a54b249c0cab1198784b4f.jpg"
}
},
"items": [
{
"@type": "PoshmarkListing",
"id": "6a7b58a9046d1f2c0192c6b4",
"url": "https://poshmark.com/listing/6a7b58a9046d1f2c0192c6b4",
"title": "Lululemon Blue Active Leggings",
"description": "Comfortable blue leggings designed for active wear. Smooth, stretchy fabric offers flexible movement and a snug fit. High waistband provides gentle support during play and sports. Easy-care material f",
"brand": null,
"brand_id": null,
"price": {
"@type": "PoshmarkPrice",
"amount": 25,
"currency": "USD",
"currency_symbol": "$"
},
"original_price": null,
"condition": null,
"size": "10",
"size_system": "us",
"colors": [
{
"name": "Blue",
"rgb": "#137fc1"
}
],
"department": {
"id": "000e8975d97b4e80ef00a955",
"display": "Women",
"slug": "Women"
},
"category": {
"id": "001c8975d97b4e80ef00a955",
"display": "Pants & Jumpsuits",
"slug": "Pants_&_Jumpsuits"
},
"subcategories": [
{
"id": "00b09287d97b4e80ef00a955",
"display": "Leggings",
"slug": "Leggings"
}
],
"image": "https://di2ponv0v5otw.cloudfront.net/posts/2026/08/11/6a7b58a9046d1f2c0192c6b4/m_6a7b58bdf00c55d6b078b64b.jpg",
"images": [
"https://di2ponv0v5otw.cloudfront.net/posts/2026/08/11/6a7b58a9046d1f2c0192c6b4/m_6a7b58dbb9dd7050ceed90f9.jpg",
"https://di2ponv0v5otw.cloudfront.net/posts/2026/08/11/6a7b58a9046d1f2c0192c6b4/m_6a7b58dc4adcb3cca538a285.jpg"
],
"status": "published",
"availability": "available",
"origin_domain": "us",
"share_count": 24,
"like_count": 0,
"comment_count": 0,
"has_offer": false,
"created_at": 1786468521,
"first_published_at": 1786468632,
"updated_at": 1786883306,
"seller": {
"@type": "PoshmarkUserPreview",
"id": "5f9ab877bf2d18224bc649e2",
"alias": "hls24f1999",
"display_handle": "hls24f1999",
"full_name": "Hannah Slomkowski",
"image": "https://di2ponv0v5otw.cloudfront.net/users/2021/11/29/13/t_61a54b249c0cab1198784b4f.jpg"
}
},
{
"@type": "PoshmarkListing",
"id": "6a86435c7282534a0b53e4da",
"url": "https://poshmark.com/listing/6a86435c7282534a0b53e4da",
"title": "lululemon athletica Women's grey High-Rise Athletic Leggings",
"description": "Light gray leggings with a smooth, stretchy knit for active play. High-rise waistband offers gentle support and stays in place during movement. Breathable, easy-care fabric that pairs well with tees a",
"brand": "lululemon athletica",
"brand_id": "53d96e4f5632a02800000281",
"price": {
"@type": "PoshmarkPrice",
"amount": 30,
"currency": "USD",
"currency_symbol": "$"
},
"original_price": null,
"condition": "uln",
"size": "10",
"size_system": "us",
"colors": [
{
"name": "Gray",
"rgb": "#929292"
}
],
"department": {
"id": "000e8975d97b4e80ef00a955",
"display": "Women",
"slug": "Women"
},
"category": {
"id": "001c8975d97b4e80ef00a955",
"display": "Pants & Jumpsuits",
"slug": "Pants_&_Jumpsuits"
},
"subcategories": [
{
"id": "00b09287d97b4e80ef00a955",
"display": "Leggings",
"slug": "Leggings"
}
],
"image": "https://di2ponv0v5otw.cloudfront.net/posts/2026/08/19/6a86435c7282534a0b53e4da/m_6a864362c6a0b32c4d503c89.jpg",
"images": [
"https://di2ponv0v5otw.cloudfront.net/posts/2026/08/19/6a86435c7282534a0b53e4da/m_6a86436328951ffd97bfd8a1.jpg",
"https://di2ponv0v5otw.cloudfront.net/posts/2026/08/19/6a86435c7282534a0b53e4da/m_6a86436441ae66bc82ca7993.jpg"
],
"status": "published",
"availability": "available",
"origin_domain": "us",
"share_count": 1,
"like_count": 1,
"comment_count": 0,
"has_offer": false,
"created_at": 1787183964,
"first_published_at": 1787184017,
"updated_at": 1789339371,
"seller": {
"@type": "PoshmarkUserPreview",
"id": "61d3bfa6fdea1b3f47799752",
"alias": "meganwade644",
"display_handle": "meganwade644",
"full_name": "Megan Wade",
"image": "https://di2ponv0v5otw.cloudfront.net/users/2022/01/03/19/t_61d3bfa7fdea1b3f47799855.jpg"
}
}
],
"not_found": false,
"proxy_traffic_bytes": 1626773
},
"total_points": 2
}E-commerce & Marketplaces
Poshmark related items
Listings Poshmark shows as related to a listing, by listing id or URL. 1 point per returned record.
POST
/
functions
/
v1
/
run-poshmark-items-related
Poshmark related items
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Listing. e.g. Listing id or URL, e.g. 6865651dd6c0dc3f3fdfc8ea
Domain. Options: poshmark.com = poshmark.com, poshmark.ca = poshmark.ca
Available options:
poshmark.com, poshmark.ca Max related items (up to 50)
Required range:
1 <= x <= 50Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
True when the scrape stopped early and returned the records collected so far.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.